CentOS Bug Tracker
CentOS Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005517CentOS-6-OTHERpublic2012-02-15 13:272014-01-20 19:02
Reportermrambo3501 
PrioritynormalSeveritymajorReproducibilityalways
StatusfeedbackResolutionopen 
PlatformSupermicro H8DMi-2OSCentos 6.xOS Versionx86_64
Product Version6.2 
Target VersionFixed in Version 
Summary0005517: Centos 6 x86_64 installation hangs on Supermicro H8DMi-2
DescriptionI am trying to install Centos 6 via netinstall.iso. I have tried both the 6.1 and 6.2 x86_64 netinstall.iso versions both of which hand at boot. The last message seen is "waiting for hardware to initialize...". The boot from CD never moves any further. The occurs *ONLY* on x86_64 verions of Centos 6. Centos 6 32bit is ok as are both 32 and 64 bit editions of Centos 5.

Here are selected portions from getinfo.sh from a 64bit Centos *5* installation so you can have some idea of the hardware involved. If necessary I can probably arrange to get similar information from a 32 Centos 6 installation but it is not immediately available to me now.

== BEGIN uname -rmi ==
2.6.18-274.el5xen x86_64 x86_64
== END uname -rmi ==

== BEGIN rpm -qa \*-release\* ==
centos-release-5-7.el5.centos
centos-release-notes-5.7-0
== END rpm -qa \*-release\* ==

== BEGIN cat /etc/redhat-release ==
CentOS release 5.7 (Final)
== END cat /etc/redhat-release ==

== BEGIN getenforce ==
Disabled
== END getenforce ==

== BEGIN free -m ==
             total used free shared buffers cached
Mem: 15661 1032 14628 0 35 410
-/+ buffers/cache: 587 15073
Swap: 2047 0 2047
== END free -m ==

== BEGIN fdisk -l ==

Disk /dev/sda: 149.9 GB, 149999845376 bytes
255 heads, 63 sectors/track, 18236 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot Start End Blocks Id System
/dev/sda1 * 1 2550 20482843+ 83 Linux
/dev/sda2 2551 17975 123901312+ 83 Linux
/dev/sda3 17976 18236 2096482+ 82 Linux swap / Solaris

Disk /dev/sdb: 1499.9 GB, 1499999502336 bytes
255 heads, 63 sectors/track, 182364 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot Start End Blocks Id System
/dev/sdb1 * 1 182364 1464838798+ 83 Linux
== END fdisk -l ==

== BEGIN lspci -nn ==
00:00.0 RAM memory [0500]: nVidia Corporation MCP55 Memory Controller [10de:0369] (rev a2)
00:01.0 ISA bridge [0601]: nVidia Corporation MCP55 LPC Bridge [10de:0364] (rev a3)
00:01.1 SMBus [0c05]: nVidia Corporation MCP55 SMBus [10de:0368] (rev a3)
00:02.0 USB Controller [0c03]: nVidia Corporation MCP55 USB Controller [10de:036c] (rev a1)
00:02.1 USB Controller [0c03]: nVidia Corporation MCP55 USB Controller [10de:036d] (rev a2)
00:04.0 IDE interface [0101]: nVidia Corporation MCP55 IDE [10de:036e] (rev a1)
00:05.0 IDE interface [0101]: nVidia Corporation MCP55 SATA Controller [10de:037f] (rev a3)
00:05.1 IDE interface [0101]: nVidia Corporation MCP55 SATA Controller [10de:037f] (rev a3)
00:05.2 IDE interface [0101]: nVidia Corporation MCP55 SATA Controller [10de:037f] (rev a3)
00:06.0 PCI bridge [0604]: nVidia Corporation MCP55 PCI bridge [10de:0370] (rev a2)
00:08.0 Bridge [0680]: nVidia Corporation MCP55 Ethernet [10de:0373] (rev a3)
00:09.0 Bridge [0680]: nVidia Corporation MCP55 Ethernet [10de:0373] (rev a3)
00:0a.0 PCI bridge [0604]: nVidia Corporation MCP55 PCI Express bridge [10de:0376] (rev a3)
00:0c.0 PCI bridge [0604]: nVidia Corporation MCP55 PCI Express bridge [10de:0374] (rev a3)
00:0d.0 PCI bridge [0604]: nVidia Corporation MCP55 PCI Express bridge [10de:0378] (rev a3)
00:0e.0 PCI bridge [0604]: nVidia Corporation MCP55 PCI Express bridge [10de:0375] (rev a3)
00:0f.0 PCI bridge [0604]: nVidia Corporation MCP55 PCI Express bridge [10de:0377] (rev a3)
00:18.0 Host bridge [0600]: Advanced Micro Devices [AMD] Family 10h Processor HyperTransport Configuration [1022:1200]
00:18.1 Host bridge [0600]: Advanced Micro Devices [AMD] Family 10h Processor Address Map [1022:1201]
00:18.2 Host bridge [0600]: Advanced Micro Devices [AMD] Family 10h Processor DRAM Controller [1022:1202]
00:18.3 Host bridge [0600]: Advanced Micro Devices [AMD] Family 10h Processor Miscellaneous Control [1022:1203]
00:18.4 Host bridge [0600]: Advanced Micro Devices [AMD] Family 10h Processor Link Control [1022:1204]
00:19.0 Host bridge [0600]: Advanced Micro Devices [AMD] Family 10h Processor HyperTransport Configuration [1022:1200]
00:19.1 Host bridge [0600]: Advanced Micro Devices [AMD] Family 10h Processor Address Map [1022:1201]
00:19.2 Host bridge [0600]: Advanced Micro Devices [AMD] Family 10h Processor DRAM Controller [1022:1202]
00:19.3 Host bridge [0600]: Advanced Micro Devices [AMD] Family 10h Processor Miscellaneous Control [1022:1203]
00:19.4 Host bridge [0600]: Advanced Micro Devices [AMD] Family 10h Processor Link Control [1022:1204]
01:01.0 VGA compatible controller [0300]: ATI Technologies Inc ES1000 [1002:515e] (rev 02)
07:01.0 PCI bridge [0604]: Advanced Micro Devices [AMD] AMD-8132 PCI-X Bridge [1022:7458] (rev 12)
07:01.1 PIC [0800]: Advanced Micro Devices [AMD] AMD-8132 PCI-X IOAPIC [1022:7459] (rev 12)
07:02.0 PCI bridge [0604]: Advanced Micro Devices [AMD] AMD-8132 PCI-X Bridge [1022:7458] (rev 12)
07:02.1 PIC [0800]: Advanced Micro Devices [AMD] AMD-8132 PCI-X IOAPIC [1022:7459] (rev 12)
09:01.0 PCI bridge [0604]: Intel Corporation 80331 [Lindsay] I/O processor (PCI-X Bridge) [8086:0335] (rev 0a)
0a:0e.0 RAID bus controller [0104]: Areca Technology Corp. ARC-1120 8-Port PCI-X to SATA RAID Controller [17d3:1120]
== END lspci -nn ==

== BEGIN lsusb ==
Bus 002 Device 001: ID 0000:0000
Bus 001 Device 001: ID 0000:0000
== END lsusb ==
Steps To ReproduceDownload CentOS-6.2-x86_64-netinstall.iso or CentOS-6.1-x86_64-netinstall.iso.
Write iso to CD.
Boot resulting installer CD.
Watch the boot hang at "waiting for hardware to initialize...".

That message remains on the screen if the basic video option is selected at boot. If not selected then the screen blanks shortly after the "waiting" message with nothing more ever displayed.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0014481)
lievendp (reporter)
2012-02-15 18:40

I'm experiencing the same issue with ARECA ARC-1880 driver with CentOS 6.1, 6.2 (also Redhat versions experience the same problem as expected)

My hardware is similar: SuperMicro server with Asus dual-core motherboard. Areca arc-1880
I can post more details tomorrow when I'm in front of the server again.

Booting with nomodeset, acpi=off gave the same result.

While monitoring the boot (longtime on initializing hardware) I saw my keyboard stop responding when the arcsrm areca driver was loaded. followed by a tracelog. (how can I capture that on file?)

Only booting with dd option gives me the chance the use a driverdisk but areca has specific pre- and post-install instructions for their driver. This obviously cannot work as I cannot get to the shellprompt with ctrl-alt-f2 as it's too soon in the installationprocess.

kind regards.
(0014583)
mdiaz (reporter)
2012-02-29 13:08

The same to me.

We have servers (product: IBM eServer BladeCenter HS21 -[7995PEH]-) where we installed centos5.5 and centos5.2 and all was fine.

Now, with Centos 6.2 x64 we can not install them.

We are installing the servers through PXE, and once the initrd and vmlinuz are loaded the output is the following:
PANIC: early exception 0e rip 10:ffffffff814e6497 error 0 cr2 381debe9c

The same PXE installation executed on other server kinds works fine.

More details of servers where Centos 6.2 x64 installation fails are:
product: IBM eServer BladeCenter HS21 -[7995PEH]-
capabilities: smbios-2.4 dmi-2.4 smp-1.4 smp vsyscall64 vsyscall32
8 cpus: Intel(R) Xeon(R) CPU E5430 @ 2.66GHz

Regards
Miguel.
(0014609)
fiat (reporter)
2012-03-02 10:47

I am also experiencing the same issue with areca 1882i.

Server: HP DL180 G6 (American Megatrends Bios) 1x 5504 Intel with 2x2gb 10600R

OS: Centos 6.2 x86_64

System begins boot however panics and throws an error referring to:

arcmsr_drain_donequeue
(0014647)
lgrullon (reporter)
2012-03-09 21:11

Have you consider reaching out to Areca for a driver update for CentOS or RHEL 6.2? I try last year and they are pretty responsive.
(0014651)
kbsingh@karan.org (administrator)
2012-03-10 02:42

I have contacted Areca to see if they can comment on this bug report here.
(0014652)
fiat (reporter)
2012-03-10 11:08

This error only appears on certain hardware. I have been able to install CentOS 6.2 with Areca 1882i cards in multiple machines. I've compiled the latest Areca driver, however I am unable to get past the initialising hardware screen to load the driver.

From the installation screen, I should be able to type dd and install the driver, however this doesn't appear to work in CentOS 6.2 (or I am doing something very wrong).
(0014653)
fiat (reporter)
2012-03-10 11:23

To add to this. I finally was able to get to the Driver Disk blue screen, however i get a panic before being able to apply the latest driver.

Error reads:

kernel BUG at kernel/workqueue.c:191!
invalid opcode: 0000 [0000001] SMP
last sysfs file: /sys/devices/pci0000:00:/0000:00:01.0/0000:09:00.1_assign_type
CPU 0
Modules linked in: arcmsr(+) igb dca iscsi_ibft iscsi_boot_sysfs_
(0014697)
dsctech (reporter)
2012-03-19 14:25

I have seen similar with an Areca 1882i running v1.50 Areca firmware on Supermicro X8DTN Dual Xeon with Seagate 3 TB disks. CentOS x86_64 DVD install method.

Managed to get past the waiting for hardware to initialize message by using the 'nomodeset' kernel parameter. However this doesn't help as there are no usable drives available at the basic storage device setup screen. Same volumes are seen by disk utility running on Ubuntu 11.10 live cd. Also reported to Areca.
(0014698)
tru (administrator)
2012-03-19 14:57

http://scalability.org/?p=3679 [^]
(0014793)
tony.schreiner (reporter)
2012-04-04 15:47

I had an issue with a SuperMicro H8DM8-2 and Areca ARC-1261 raid controller.
Areca firmware is V1.43 2007-5-31. I now see that there is newer firmware.
Works with CentOS 5, but after installing CentOS 6, I started seeing filesystem corruption on the RAID volume after a short period of uptime. The file system is XFS on top of LVM. No pertinent log messages.

Reinstalling CentOS 5.8 has eliminated the problems.
(0014963)
dsctech (reporter)
2012-04-27 15:40

Update: I contacted Areca and they tested the 1882i on the Supermicro X8DTN+-F board for me. They claim to have found a possible issue with with the PCIe bus. I'm afraid I don't have details of that issue. Areca issued me a new RAID controller boot image specifically for the for X8DTN+-F board. This fixed it for me. The CentOS 6.2 installer can now see the volumes and the OS has been successfully installed.
(0015476)
dsctech (reporter)
2012-07-17 10:04

Update: For anyone having issues with Areca controllers.

This issue appears to have been fixed in CentOS 6.3 x86_64
(0015490)
tigalch (developer)
2012-07-17 18:50

Can anyone else confirm the possible fix coming with CentOS6.3?
(0015766)
journeyman (reporter)
2012-09-12 16:25

I had previously been able to install Centos 6.2 on my Foxconn A79A-S Phenom-based system. When I tried a reinstall using 6.3, I encountered the bug described above. When I tried reinstalling 6.2 or lesser 6 version, the "bug" seems to now affect installation of those versions, too.
(0019096)
JohnnyB (reporter)
2014-01-20 19:02

I know this is old but I'd just like to post an update to it in case anybody searches it up in the future. In our lab with Supermicro servers and this issue we troubleshot it with Alt-F4 to view dmesg during boot and find it choking on virtual floppy disk. There's an outstanding issue where the kernel version for RHEL/CentOS 6.x gets I/O errors on virtual/nonexistent floppy devices. The workaround is to disable them in your BIOS. We also had to set ACPI version from 3 (default) to 2.

Annoying to have to apply a workaround, but I hope this helps anyone in the future.

- Issue History
Date Modified Username Field Change
2012-02-15 13:27 mrambo3501 New Issue
2012-02-15 18:40 lievendp Note Added: 0014481
2012-02-29 13:08 mdiaz Note Added: 0014583
2012-03-02 10:47 fiat Note Added: 0014609
2012-03-09 21:11 lgrullon Note Added: 0014647
2012-03-10 02:42 kbsingh@karan.org Note Added: 0014651
2012-03-10 11:08 fiat Note Added: 0014652
2012-03-10 11:23 fiat Note Added: 0014653
2012-03-19 14:25 dsctech Note Added: 0014697
2012-03-19 14:57 tru Note Added: 0014698
2012-04-04 15:47 tony.schreiner Note Added: 0014793
2012-04-27 15:40 dsctech Note Added: 0014963
2012-06-22 10:03 user9234 Note Added: 0015311
2012-06-26 06:51 user9234 Note Added: 0015343
2012-07-03 15:45 tru Note Deleted: 0015343
2012-07-03 15:46 tru Note Deleted: 0015311
2012-07-17 10:04 dsctech Note Added: 0015476
2012-07-17 18:50 tigalch Note Added: 0015490
2012-07-17 18:50 tigalch Status new => feedback
2012-09-12 16:25 journeyman Note Added: 0015766
2014-01-20 19:02 JohnnyB Note Added: 0019096


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker